[Solved] Can't make the project

        node_modules/lib-jitsi-meet//lib-jitsi-meet.min.js \
    node_modules/lib-jitsi-meet//lib-jitsi-meet.min.map \
    node_modules/lib-jitsi-meet//connection_optimization/external_connect.js \
    node_modules/lib-jitsi-meet//modules/browser/capabilities.json \
    libs
cp: cannot stat 'node_modules/lib-jitsi-meet//lib-jitsi-meet.min.js': No such file or directory
cp: cannot stat 'node_modules/lib-jitsi-meet//lib-jitsi-meet.min.map': No such file or 
directory
Makefile:57: recipe for target 'deploy-lib-jitsi-meet' failed
make: *** [deploy-lib-jitsi-meet] Error 1

I’m trying to make and I’m running into issues with the linking to local lib-jitsi-meet. These extra forward slashes seem to indicate some error on my end. I am following the instructions here https://jitsi.github.io/handbook/docs/dev-guide/dev-guide-web and I’ve tried both methods of forcing the link to local lib jitsi.

Can someone please clarify how I’m supposed to link the local npm repository so I can make the project locally?

@ [Nathan_Rogers]
Did you resolve this issue?
If so can you tell me how?

Have you guys seen this?

Look at step 4.

Hi @corby,

getting the above error.
Tried resinstalling node_modules… no luck.
Any suggestion?

What do you get when you run node -v && npm -v?

image

Getting this as well.

hi can you help me these issues? @corby

https://aws1.discourse-cdn.com/business4/uploads/jitsi/original/3X/c/4/c408602717714270df511f50cb78af498ade3452.png

npm version should be greater than 6

From the guide:

It is more than 6
image

Ahh. Okay. Your previous screen shot was cut off and it looked like version 5.

It would great, if you know how to fix this.

I did not see that in my setup. Did you do the "link with jitsi-meet" part of step 4?

Yes I did.

I am not sure where https://registry.npmjs.org/eslint-config-jitsi came from… Or why it’s not found… Not sure how to help here.

Copied missing files like lib-jitsi-meet.min.js to the correct folders.which were found in node_modules/lib-jitsi-meet-dist to node_modules/lib-jitsi-meet
After that “make” command did work for me.

Great! Glad that’s working for you now!